<?php

add_action( 'init' , 'fashion_freak_blog_settings' );
function fashion_freak_blog_settings(){

	Kirki::add_field( 'bizberg', array(
	    'type'        => 'custom',
	    'settings'    => 'fashion_freak_background_animation',
	    'section'     => 'homepage',
	    'default'     => '<div class="bizberg_customizer_custom_heading">' . esc_html__( 'Background Animation', 'fashion-freak' ) . '</div>',
	) );

	Kirki::add_field( 'bizberg', [
		'type'        => 'checkbox',
		'settings'    => 'fashion_freak_background_animation_status',
		'label'       => esc_html__( 'Enable Animation', 'fashion-freak' ),
		'section'     => 'homepage',
		'default'     => false,
	] );

	Kirki::add_field( 'bizberg', array(
	    'type'        => 'advanced-repeater',
	    'label'       => esc_html__( 'Circle Colors', 'fashion-freak' ),
	    'section'     => 'homepage',
	    'settings'    => 'fashion_freak_background_animation_colors',
	    'default'      => json_encode([
	        [
	            'circle_color' => 'rgba(246,248,251,0.4)',
	        ],
	        [
	            'circle_color' => 'rgba(229,236,247,0.4)',
	        ],
	        [
	            'circle_color' => 'rgba(218,230,249,0.4)',
	        ],
	        [
	            'circle_color' => 'rgba(200,218,247,0.4)',
	        ],
	    ]),
	    'choices' => [
	        'row_label' => [
	            'value' => esc_html__( 'Color', 'fashion-freak' ),
	        ],
	        'fields' => [
	        	'circle_color'  => [
	                'type'        => 'color',
	                'label'       => esc_html__( 'Circle Color', 'fashion-freak' ),
	                'default'     => '#dd3333'
	            ],
	        ]
	    ],
	    'active_callback'    => array(
            array(
                'setting'  => 'fashion_freak_background_animation_status',
                'operator' => '==',
                'value'    => true
            ),
        ),
	) );

	Kirki::add_field( 'bizberg', array(
	    'type'        => 'custom',
	    'settings'    => 'fashion_freak_other_blog_settings',
	    'section'     => 'homepage',
	    'default'     => '<div class="bizberg_customizer_custom_heading">' . esc_html__( 'Other Blog Settings', 'fashion-freak' ) . '</div>',
	) );

}