<?php 

add_action( 'bizberg_before_homepage_blog', 'fashion_freak_homepage_slider' );
function fashion_freak_homepage_slider(){ 

	$slider_status = bizberg_get_theme_mod( 'fashion_freak_slider_post_status' );

	if( empty( $slider_status ) ){
		return;
	}

	$args = array(
		'post_type'           => 'post',
		'post_status'         => 'publish',
        'ignore_sticky_posts' => 1,
        'posts_per_page'      => apply_filters( 'fashion_freak_slider_limit', 3 )
	);

	$categories = bizberg_get_theme_mod( 'fashion_freak_slider_category' );
    if( !empty( $categories ) ){
        $args['cat'] = $categories;
    }

	$slider_query = new WP_Query( $args );

	if( $slider_query->have_posts() ): ?>

		<div class="banner-slider">

			<?php 
			while( $slider_query->have_posts() ): $slider_query->the_post();

				global $post;
				$category_detail = get_the_category( $post->ID );
                $cat_name        = !empty( $category_detail[0]->name ) ? $category_detail[0]->name : '';  ?>

				<div class="banner-slider-item <?php echo ( has_post_thumbnail() ? '' : 'no_image' ); ?>">
					<div class="banner-slider-inner">
	                    <div class="banner-slider-image" style="background-image:url( <?php the_post_thumbnail_url( 'medium_large' ); ?> )"></div>
	                    <div class="banner-slider-content">
	                    	
	                    	<span class="entry-date <?php echo empty( $cat_name ) ? 'no_cat' : ''; ?>">
	                        	<a href="<?php echo esc_url( home_url() ); ?>/<?php echo esc_attr( date( 'Y/m' , strtotime( get_the_date() ) ) ); ?>">
	                        		<?php 
                                    echo esc_html( get_the_date() );
                                    ?> 
	                        	</a>
	                        </span>
	                    	<?php 
                            if( !empty( $cat_name ) ){ ?>
		                        <span class="entry-category">
		                        	<a href="<?php echo esc_url( get_category_link( $category_detail[0] ) ); ?>">
                                        <?php echo esc_html( $cat_name ); ?>
                                    </a>
		                        </span>
		                        <?php 
		                    } ?>

	                        <h2>
	                        	<a href="<?php the_permalink(); ?>">
	                        		<?php the_title(); ?>
	                        	</a>
	                        </h2>
	                    </div>
	                    <div class="overlay"></div>
					</div>
				</div>

				<?php 
			endwhile;?>

		</div>

	<?php

	endif;
	
}